Tests a webhook by sending a test delivery.

Test deliveries are synchronous and not persisted in delivery history. The test payload includes X-Propstreet-Test: true header for identification.

Example request:

POST /api/v1/webhooks/123/test
{ "event_type": "contact.created" }

Example response:

{ "success": true, "status_code": 200, "duration_ms": 145, "error": null }
Path Parameters
  • id
    Type: string
    required

    The webhook ID

Body

Optional test configuration

  • Type: object · nullable

    Request to test a webhook.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/api/v1/webhooks/{id}/test
curl 'https://app.propstreet.com/api/v1/webhooks/{id}/test' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "event_type": null
}'
{
  "success": true,
  "status_code": "string",
  "duration_ms": "string",
  "error": null
}